Summary
Compliance Reports totals for a Backup.
Description
Compliance Reports totals for a Backup.
Route
POST /configuration_manager/compliance_reports/history/backups
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| options |
object |
yes |
- |
Copied to Clipboard
{
"options": {
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base/US East/Atlanta",
"devices": [
"xr9kv-atl"
],
"backups": [
"5c35355dbebaa82eaf8113f0",
"5c35355dbebaa82eaf8113f0",
"5c35355dbebaa82eaf8113f0",
"5c35355dbebaa82eaf8113f0"
],
"limit": 56579030
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"options": {
"title": "options",
"type": "object",
"properties": {
"treeId": {
"$ref": "common#/definitions/mongoObjectId"
},
"version": {
"type": "string",
"examples": [
"v3"
]
},
"nodePath": {
"type": "string",
"examples": [
"base/US East/Atlanta"
]
},
"devices": {
"type": "array",
"items": {
"$ref": "deviceData#/definitions/deviceName"
}
},
"backups": {
"type": "array",
"items": {
"$ref": "common#/definitions/mongoObjectId"
}
},
"limit": {
"type": "integer",
"minimum": 1
}
}
}
},
"required": [
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| complianceHistory |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v2",
"nodePath": "base/US East",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 75581398,
"warnings": 63450043,
"infos": 24823491,
"passes": 86897472
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 77882872,
"warnings": 90811753,
"infos": 91083369,
"passes": 88173818
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v2",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 13955678,
"warnings": 65021965,
"infos": 3438956,
"passes": 45064698
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "v3",
"nodePath": "base",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 98825127,
"warnings": 72011420,
"infos": 39811982,
"passes": 33400828
}
},
{
"id": "5c35355dbebaa82eaf8113f0",
"batchId": "5c35355dbebaa82eaf8113f0",
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "initial",
"nodePath": "base/US East",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"totals": {
"errors": 61450301,
"warnings": 64595287,
"infos": 68264778,
"passes": 68811604
}
}
]